h42426
s 00041/00000/00000
d D 1.1 82/08/03 08:48:51 cecily 1 0
e
u
U
t
T
I 1
profil	title	unix c svc library -- profil

.profil	equ	44

	entry	profil
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
profsvc	equ	*
	svc	0,.profil
buff	dc	a(*-*)
bufsiz	dc	a(*-*)
offset	dc	a(*-*)
scale	dc	a(*-*)
*
	pure
profil	equ	*
	l	r0,0(sp)	buff
	st	r0,buff
	l	r0,adc(sp)	bufsiz
	st	r0,bufsiz
	l	r0,2*adc(sp)	offset
	st	r0,offset
	l	r0,3*adc(sp)	scale
	st	r0,scale
	svc	0,0
	dc	a(profsvc)
	bc	error
	lis	r0,0		normal return
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
